Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 589290 - (CVE-2010-1724) CVE-2010-1724 Zikula multiple XSS flaws
CVE-2010-1724 Zikula multiple XSS flaws
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100427,reported=20100505,sou...
: Security
Depends On: 589292
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-05 14:44 EDT by Josh Bressers
Modified: 2016-03-04 07:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-01 03:27:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2010-05-05 14:44:25 EDT
Multiple cross-site scripting (XSS) vulnerabilities in Zikula
Application Framework 1.2.2, and possibly earlier, allow remote
attackers to inject arbitrary web script or HTML via the (1) func
parameter to index.php, or the (2) lang parameter to index.php, which
is not properly handled by ZLanguage.php.

http://www.securityfocus.com/archive/1/archive/1/510988/100/0/threaded
http://www.htbridge.ch/advisory/xss_vulnerability_in_zikula_application_framework.html
http://www.htbridge.ch/advisory/xss_vulnerability_in_zikula_application_framework_1.html
http://community.zikula.org/index.php?module=News&func=display&sid=3012&title=zikula-1.2.3-release-announcement
Comment 1 Josh Bressers 2010-05-05 14:49:46 EDT
Created zikula tracking bugs for this issue

Affects: fedora-all [bug 589292]
Comment 2 David Nalley 2010-05-09 16:09:33 EDT
I have requested an exception from FESCo for the bundled/forked library problem that has heretofore stopped inclusion of the 1.2.x series into Fedora. 

https://fedorahosted.org/fesco/ticket/375
Comment 3 Fedora Update System 2010-05-13 02:37:32 EDT
zikula-1.2.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/zikula-1.2.3-1.fc12
Comment 4 Fedora Update System 2010-05-13 02:37:36 EDT
zikula-1.2.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/zikula-1.2.3-1.fc11
Comment 5 Fedora Update System 2010-05-13 02:37:38 EDT
zikula-1.2.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/zikula-1.2.3-1.fc13
Comment 6 Fedora Update System 2010-05-13 02:38:19 EDT
zikula-1.2.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/zikula-1.2.3-1.fc12
Comment 7 Fedora Update System 2010-06-07 02:45:28 EDT
zikula-1.2.3-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/zikula-1.2.3-1.el5
Comment 8 Fedora Update System 2010-06-07 18:19:17 EDT
zikula-1.2.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-06-07 18:24:40 EDT
zikula-1.2.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.